Skip to content

Deel: Time off schemas (part 1)

70 Deel schemas with complete fields and constraints.

← Time off operations · All schemas

Approve or reject time-off requests — 201 response body

FieldTypePresenceDescription and constraints
$objectRootThe response contains two lists: one for time-offs that were successfully reviewed and another for those that could not be reviewed. Each time-off in the reviewed list contains its ID and the status it was set to (either APPROVED/USED or REJECTED). The notReviewed list contains the IDs of time-offs that could not be reviewed along with an error message explaining why.
dataModelRequired within parentExpand Approve or reject time-off requests — 201 response body — data

Referenced models: Approve or reject time-off requests — 201 response body — data

Approve or reject time-off requests — 201 response body — data

FieldTypePresenceDescription and constraints
$objectRoot
not_reviewedarrayRequired within parent
not_reviewed[]ModelEach itemExpand Approve or reject time-off requests — 201 response body — data not reviewed item
reviewedarrayRequired within parent
reviewed[]ModelEach itemExpand Approve or reject time-off requests — 201 response body — data reviewed item

Referenced models: Approve or reject time-off requests — 201 response body — data not reviewed item, Approve or reject time-off requests — 201 response body — data reviewed item

Approve or reject time-off requests — 201 response body — data not reviewed item

FieldTypePresenceDescription and constraints
$objectRoot
errorstringRequired within parentThe error or reason why a time-off could not be reviewed
idstringRequired within parentTime off id
Format: uuid

Approve or reject time-off requests — 201 response body — data reviewed item

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentTime off id
Format: uuid
statusstringRequired within parentTime off status after review
Known values: APPROVED, USED, REJECTED

Approve or reject time-off requests — request body — body data item

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentTime off id
statusstringRequired within parentDecision on whether the time off request was approved or rejected
One of: APPROVED, REJECTED

Create time-off request — 201 response body

FieldTypePresenceDescription and constraints
$objectRootThe list of created time offs. Depending on the selected dates, a time off can be split into more than one request.
time_offsarrayRequired within parentThe list of created time offs. Depending on the selected dates, a time off can be split into more than one request.
time_offs[]ModelEach itemExpand Create time-off request — 201 response body — time offs item

Referenced models: Create time-off request — 201 response body — time offs item

Create time-off request — 201 response body — time offs item

FieldTypePresenceDescription and constraints
$objectRootCreated time off request
amountstringOptionalAmount of time off taken. This is the total amount of time off taken. For example, if you take 2 days off, this will be 2. If you take 1 day off, this will be 1.
approved_atJSONOptional
approved_at (anyOf 1)stringAlternativeThis is the date when the time off request was approved. This will be null if the time off request is not approved yet.
Format: date-time
approved_at (anyOf 2)nullAlternativeThis is the date when the time off request was approved. This will be null if the time off request is not approved yet.
Format: date-time
attachmentsarrayOptionalList of attachments associated with the time off request.
attachments[]ModelEach itemExpand Update time-off request — 200 response body — time off attachments item
canceled_atJSONOptional
canceled_at (anyOf 1)stringAlternativeTime off cancellation date
Format: date-time
canceled_at (anyOf 2)nullAlternativeTime off cancellation date
Format: date-time
contract_oidJSONOptional
contract_oid (anyOf 1)stringAlternativeContract id. This is the id of the contract associated with the time off request.
contract_oid (anyOf 2)nullAlternativeContract id. This is the id of the contract associated with the time off request.
created_atstringRequired within parentThis is the date when the time off request was created in the database.
Format: date-time
custom_field_valuesarrayOptionalAnswers to the custom fields the request policy declares. Omitted when the policy declares none.
custom_field_values[]ModelEach itemExpand Update time-off request — 200 response body — time off custom field values item
deduction_amountJSONOptional
deduction_amount (anyOf 1)stringAlternativeDeduction amount. Available for independent contractor's policies
deduction_amount (anyOf 2)nullAlternativeDeduction amount. Available for independent contractor's policies
deleted_atJSONOptional
deleted_at (anyOf 1)stringAlternativeTime off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested.
Format: date-time
deleted_at (anyOf 2)nullAlternativeTime off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested.
Format: date-time
descriptionstringOptionalDescription of the time off request. Some policies require that a description is provided.
end_datestringRequired within parentEnd date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day.
Format: date
entitlement_unitstringRequired within parentThe unit in which the time off usage and entitlement are calculated.
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
half_end_datebooleanRequired within parentWhether the end date is a half day or not.
half_start_datebooleanRequired within parentWhether the start date is a half day or not.
is_end_date_estimatedbooleanOptionalWhether the end date is estimated or not. This is used on event based policies such as Parental leave.
is_paidbooleanRequired within parentWhether the time off is paid or unpaid.
other_type_descriptionJSONOptional
other_type_description (anyOf 1)stringAlternativeDescription of the time off type. This is used when the policy is OTHER.
other_type_description (anyOf 2)nullAlternativeDescription of the time off type. This is used when the policy is OTHER.
reasonstringOptionalReason for taking time off. This is complementary information for the time-off description. Useful to provide sub categories for the same policy.
recipient_profileModelOptionalExpand Update time-off request — 200 response body — time off recipient profile
The time off profile of the recipient of the time off request. Must be a worker profile.
requested_atstringRequired within parentThis is the date when the time off request was made.
Format: date
requester_profileModelOptionalExpand Update time-off request — 200 response body — time off requester profile
The time off profile of the requester of the time off request. Can be either a client or worker profile.
start_datestringRequired within parentStart date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day.
Format: date
statusstringOptionalStatus of the time off request. Can be REQUESTED, APPROVED, REJECTED, USED or CANCELED.
Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED, DELETED
time_off_dailiesarrayOptional
time_off_dailies[]ModelEach itemExpand Update time-off request — 200 response body — time off time off dailies item
time_off_eventModelOptionalExpand Update time-off request — 200 response body — time off time off event
time_off_percentageJSONOptional
time_off_percentage (anyOf 1)stringAlternativeThis is the percentage of time off taken.
time_off_percentage (anyOf 2)nullAlternativeThis is the percentage of time off taken.
time_off_typeModelOptionalExpand Update time-off request — 200 response body — time off time off type
The type of time off taken.
time_off_type_idstringRequired within parentTime off type id. This is the id of the time off type associated with the time off request.
Format: uuid
updated_atstringRequired within parentThis is the date when the time off request was last updated in the database.
Format: date-time

Referenced models: Update time-off request — 200 response body — time off custom field values item, Update time-off request — 200 response body — time off attachments item, Update time-off request — 200 response body — time off recipient profile, Update time-off request — 200 response body — time off requester profile, Update time-off request — 200 response body — time off time off dailies item, Update time-off request — 200 response body — time off time off event, Update time-off request — 200 response body — time off time off type

Create time-off request — request body — body data

FieldTypePresenceDescription and constraints
$objectRootThe time off request data
contract_oidstring or nullOptionalContract id. This is the id of the contract associated with the time off request.
Maximum length: 24
custom_field_valuesarray or nullOptionalAnswers to the custom fields the request policy declares, addressed by custom field id.
custom_field_values[]ModelEach itemExpand Create time-off request — request body — body data custom field values item
datesarrayOptionalThe dates breakdown for the time off request.
dates[]ModelEach itemExpand Create time-off request — request body — body data dates item
deduction_amountstring or nullOptionalDeduction amount. Available for independent contractor's policies
descriptionstring or nullOptionalDescription of the time off request. Some policies require that a description is provided.
Maximum length: 500
end_dateModelRequired within parentExpand Create time-off request — request body — body data end date
End date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day.
event_detailsModelOptionalExpand Create time-off request — request body — body data event details
Details of the event associated with the time off request. Required for event based policies such as parental leave.
is_paidbooleanOptionalWhether the time off is paid or unpaid. By default it follows the policy configuration.
other_type_descriptionstring or nullOptionalDescription of the time off type. This is used when the policy is OTHER.
Maximum length: 255
policy_idstringOptionalThe time off policy id. Can be used in place of time_off_type_id
Format: uuid
reasonstring or nullOptionalReason for taking time off. This is complementary information for the time-off description. Useful to provide sub categories for the same policy.
Maximum length: 500
recipient_profile_idstringRequired within parentThe hris profile id of the recipient
Format: uuid
start_dateModelRequired within parentExpand Create time-off request — request body — body data start date
Start date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day.
statusstringOptionalStatus for the time off request. When set to REQUESTED, the time off should be reviewed later through POST /time_offs/review.
Default: APPROVED
One of: REQUESTED, APPROVED
time_off_event_idstringOptionalThe time off event id. This is used to link the time off request to an event.
Format: uuid
time_off_percentagenumber or nullOptionalThis is the percentage of time off taken. This is used when the time off request is a percentage.
Format: double
Maximum: 1
Minimum: 0
time_off_type_idstringOptionalThe time off type id. Required when policy_id is not provided
Format: uuid
use_deel_approval_flowbooleanOptionalWhether to use Deel's approval flow for this time off request. If set to true, the time off request will go through Deel's approval flow instead of being handled through the public-api review time-off endpoint.
Default: false

Referenced models: Create time-off request — request body — body data custom field values item, Create time-off request — request body — body data dates item, Create time-off request — request body — body data end date, Create time-off request — request body — body data event details, Create time-off request — request body — body data start date

Create time-off request — request body — body data custom field values item

FieldTypePresenceDescription and constraints
$objectRoot
field_idstringRequired within parentThe id of the custom field this value answers.
Format: uuid
valueJSONRequired within parentThe submitted value for the custom field. Accepts a string, number, or boolean — always stored as text. `null` means "no answer for this field" and is rejected today, since no field supports a null answer yet.
value (oneOf 1)ModelAlternativeExpand Create time-off request — request body — body data custom field values item value value
value (oneOf 2)nullAlternative

Referenced models: Create time-off request — request body — body data custom field values item value value

Create time-off request — request body — body data custom field values item value value

FieldTypePresenceDescription and constraints
$JSONRootThe submitted value for the custom field. Accepts a string, number, or boolean — always stored as text. `null` means "no answer for this field" and is rejected today, since no field supports a null answer yet.
$ (oneOf 1)stringAlternative
$ (oneOf 2)numberAlternativeFormat: double
$ (oneOf 3)booleanAlternative

Create time-off request — request body — body data dates item

FieldTypePresenceDescription and constraints
$objectRootThe dates breakdown for the time off request.
amountstringOptionalThe amount of time off requested for the date. It must be in the same time unit as in the total amount for the time off request.
dateModelRequired within parentExpand Create time-off request — request body — body data dates item date
An specific date in the time-off request
day_typestringOptionalThe type of day for the time off request. All dates must follow the same type.
One of: HALF_DAY, FULL_DAY, PERCENTAGE, HOURLY
hoursstringOptionalThe amount taken in hours during this specific date. It can not exceed the maximum allowed hours for the date.

Referenced models: Create time-off request — request body — body data dates item date

Create time-off request — request body — body data dates item date

FieldTypePresenceDescription and constraints
$JSONRootAn specific date in the time-off request
$ (oneOf 1)stringAlternativeFormat: date
$ (oneOf 2)stringAlternativeFormat: date-time

Create time-off request — request body — body data end date

FieldTypePresenceDescription and constraints
$JSONRootEnd date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day.
$ (oneOf 1)stringAlternativeFormat: date
$ (oneOf 2)stringAlternativeFormat: date-time

Create time-off request — request body — body data event details

FieldTypePresenceDescription and constraints
$objectRootDetails of the event associated with the time off request. Required for event based policies such as parental leave.
adoption_datestringOptionalThe date of adoption. This is used for parental leave requests.
Format: date
birth_datestringRequired within parentThe birth date of the child. This is used for parental leave requests.
Format: date
had_multiple_childrenbooleanRequired within parentWhether the birth was multiple or not. This is used for parental leave requests.
was_premature_birthbooleanRequired within parentWhether the birth was premature or not. This is used for parental leave requests.

Create time-off request — request body — body data start date

FieldTypePresenceDescription and constraints
$JSONRootStart date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day.
$ (oneOf 1)stringAlternativeFormat: date
$ (oneOf 2)stringAlternativeFormat: date-time

Get Policies for Organization — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
dataarrayRequired within parent
data[]ModelEach itemExpand Get Policies for Organization — 200 response body — data item
has_next_pagebooleanOptionalIndicates if there are more results available beyond the current page
nextJSONOptional
next (anyOf 1)stringAlternativeOpaque cursor to fetch the next page of results. Null when there are no more results
next (anyOf 2)nullAlternativeOpaque cursor to fetch the next page of results. Null when there are no more results

Referenced models: Get Policies for Organization — 200 response body — data item

Get Policies for Organization — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRoot
assigned_profiles_countJSONRequired within parent
assigned_profiles_count (anyOf 1)integerAlternativeCount of profiles assigned to this policy.
assigned_profiles_count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
auto_approval_inactivity_time_unitstringOptionalUnit of time used for calculating the auto-approval after inactivity on reviewing the leave, if applicable
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
auto_approval_inactivity_time_unit_amountJSONOptional
auto_approval_inactivity_time_unit_amount (anyOf 1)numberAlternativeAmount of time units used for calculating the auto-approval after inactivity on reviewing the leave, if applicable
Format: double
auto_approval_inactivity_time_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
created_atstringRequired within parentTimestamp when the policy was created
Format: date-time
custom_fieldsarrayRequired within parentThe custom fields the policy declares. Empty when the policy collects none.
custom_fields[]ModelEach itemExpand Validate time-off request — 200 response body — data custom fields item
descriptionstringOptionalPolicy description
has_custom_fieldsbooleanRequired within parentWhether the policy collects any custom field answers on its requests.
idstringRequired within parentPolicy UID
Format: uuid
is_attachment_requiredbooleanRequired within parentIndicates if an attachment is required for the time off request
is_description_requiredbooleanRequired within parentIndicates if a description is required for the time off request
is_event_basedbooleanRequired within parentIndicates if the policy's base allowance accrues based on an event (e.g., a life event like child birth) rather than on a time-based schedule
is_requiring_custom_fieldsbooleanRequired within parentWhether at least one of the policy's custom fields can be mandatory (ALWAYS_REQUIRED or REQUIRED_CONDITIONALLY). False when every custom field is OPTIONAL, or when the policy has none.
leave_typestringRequired within parentType of leave policy. Either short-term leave (e.g., PTO, vacation) or long-term leave (e.g., maternity, paternity)
Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE
namestringRequired within parentPolicy name
notice_period_unitstringOptionalUnit of time used for calculating the notice period, if applicable. This is the minimum amount of time before the start of the leave that a worker must submit a request
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
notice_period_unit_amountJSONOptional
notice_period_unit_amount (anyOf 1)numberAlternativeAmount of time units used for calculating the notice period, if applicable
Format: double
notice_period_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
overlap_request_typestringRequired within parentDefines if overlap requests are allowed or not. Overlap requests are requests that overlap with existing time off requests
Known values: ALLOWED, NOT_ALLOWED
payment_typestringRequired within parentType of payment for the time off
Known values: PAID, UNPAID, PARTIALLY_PAID
policy_allowance_prorationModelRequired within parentExpand Get Policies for Organization — 200 response body — data item policy allowance proration
Details of the proration rules for the policy allowance
policy_allowancesarrayRequired within parentDetails of the policy allowances associated with this policy
policy_allowances[]ModelEach itemExpand Get Policies for Organization — 200 response body — data item policy allowances item
policy_typeModelRequired within parentExpand Get Policies for Organization — 200 response body — data item policy type
Details of the policy type associated with this policy
request_start_typestringRequired within parentDefines when a the worker can start to request leaves. Either immediately or after a fixed period of time from the start of the tracking period
Known values: IMMEDIATELY, FIXED_PERIOD
request_start_unitstringOptionalUnit of time used for calculating the request start period, if applicable. This is used when the request start type is FIXED_PERIOD
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
request_start_unit_amountJSONOptional
request_start_unit_amount (anyOf 1)numberAlternativeAmount of time units used for calculating the request start period, if applicable. This is used when the request start type is FIXED_PERIOD
Format: double
request_start_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
retrospective_request_typestringRequired within parentDefines if retrospective requests are allowed or not. Retrospective requests are requests for time off in the past
Known values: ALLOWED, NOT_ALLOWED
should_allow_editing_past_time_offsbooleanRequired within parentIndicates if users are allowed to edit past time off requests
time_off_request_typestringRequired within parentType of time off request. Can be full day, half day, or partial day
Known values: HALF_DAY, HOURLY, FULL_DAY, PERCENTAGE, PARTIAL_HOURS
time_off_typesarrayRequired within parent
time_off_types[]ModelEach itemExpand Get Policies for Organization — 200 response body — data item time off types item
tracking_cadencestringRequired within parentCadence of the tracking period. Either a fixed day (e.g., Jan 1), based on the anniversary of the employee's start date, or NOT_SPECIFIED if the policy has no tracking cadence configured
Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED
tracking_start_datestringOptionalStart date for tracking periods, if applicable. This is used when the tracking cadence is FIXED_DAY. So all tracking periods starts in the given month and day of each year
Format: date
tracking_unitstringOptionalUnit of time used for calculating tracking periods
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
tracking_unit_amountJSONOptional
tracking_unit_amount (anyOf 1)numberAlternativeAmount of the tracking unit
Format: double
tracking_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updated_atstringRequired within parentTimestamp when the policy was last updated
Format: date-time

Referenced models: Validate time-off request — 200 response body — data custom fields item, Get Policies for Organization — 200 response body — data item policy allowance proration, Get Policies for Organization — 200 response body — data item policy allowances item, Get Policies for Organization — 200 response body — data item policy type, Get Policies for Organization — 200 response body — data item time off types item

Get Policies for Organization — 200 response body — data item policy allowance proration

FieldTypePresenceDescription and constraints
$objectRootDetails of the proration rules for the policy allowance
is_prorated_on_hirebooleanRequired within parentIndicates if the allowance is prorated on hire
is_prorated_on_terminationbooleanRequired within parentIndicates if the allowance is prorated on termination
part_time_worker_treatment_specific_amountJSONOptional
part_time_worker_treatment_specific_amount (anyOf 1)JSONAlternative
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 1)numberAlternativeSpecific amount for part-time worker treatment, if applicable.
Format: double
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
part_time_worker_treatment_specific_amount (anyOf 2)nullAlternativeSpecific amount for part-time worker treatment, if applicable.
Format: double
part_time_worker_treatment_typestringRequired within parentDefines how the allowance is prorated for part-time workers. Either no proration, full month proration based on day, tenure boundary proration, or country specific proration
Known values: SAME_AS_FTE, PERCENTAGE_OF_FTE, BASED_ON_WORK_HOURS, BASED_ON_WORK_DAYS, CUSTOM_ENTITLEMENT

Get Policies for Organization — 200 response body — data item policy allowances item

FieldTypePresenceDescription and constraints
$objectRoot
accrual_application_typestringOptionalDefines when the accruals are applied. Either at the beginning of the cycle, at the end of the cycle, or at the beginning of the next cycle
Known values: BEGIN_OF_CYCLE, END_OF_CYCLE, BEGIN_OF_NEXT_CYCLE
accrual_typeModelRequired within parentExpand Get Policies for Organization — 200 response body — data item policy allowances item accrual type
Determines how and when profiles earn this allowance: LUMPSUM (accrued all at once at the start of the tracking period), TIMEFRAME (accrued periodically, e.g. monthly), EVENT (accrued based on a life event, e.g. child birth), TIME_OFF_IN_LIEU (accrued from extra hours worked), HOURLY (accrued based on hours worked), or NO_AUTO_ACCRUAL (balance managed only via manual adjustments)
accrual_unitstringOptionalUnit for how long are the accrual period in each tracking period
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
accrual_unit_amountJSONOptional
accrual_unit_amount (anyOf 1)numberAlternativeAmount of time units for how long are the accrual period in each tracking period
Format: double
accrual_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_tracking_flexible_custom_request_amountJSONOptional
balance_tracking_flexible_custom_request_amount (anyOf 1)numberAlternativeLimit allowed for the worker balance to be negative. This value if applicable is always positive
Format: double
balance_tracking_flexible_custom_request_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_tracking_typeModelRequired within parentExpand Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type
Defines if the balance tracking is flexible or inflexible. INFLEXIBLE means the worker cannot go below zero. The FLEXIBLE_* values allow the worker to request more time off than their allowance and go negative, either without limit (FLEXIBLE_NO_LIMIT), up to a custom amount (FLEXIBLE_CUSTOM_AMOUNT), or up to the yearly allowance (FLEXIBLE_UP_TO_YEARLY_ALLOWANCE)
entitlement_expiration_unitstringOptionalUnit for the entitlement expiration period, if applicable
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_expiration_unit_amountJSONOptional
entitlement_expiration_unit_amount (anyOf 1)numberAlternativeAmount of time units for the entitlement expiration period, if applicable
Format: double
entitlement_expiration_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_start_datestringOptionalStart date for the entitlement, if applicable. This is used when the entitlement start type is FIXED_DAY. So all entitlements starts in the given month and day of each year
Format: date
entitlement_start_typestringRequired within parentDefines when the workers start to receive their allowance
Known values: IMMEDIATELY, FIXED_PERIOD, FIXED_DAY
entitlement_start_unitstringOptionalUnit for the entitlement start period, if applicable. This is used when the entitlement start type is FIXED_PERIOD
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_start_unit_amountJSONOptional
entitlement_start_unit_amount (anyOf 1)numberAlternativeAmount of time units for the entitlement start period, if applicable. This is used when the entitlement start type is FIXED_PERIOD
Format: double
entitlement_start_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_unitstringOptionalUnit for the entitled allowance
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_unit_amountJSONOptional
entitlement_unit_amount (anyOf 1)JSONAlternative
entitlement_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of time units for the entitled allowance. Null means unlimited allowance
Format: double
entitlement_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_unit_amount (anyOf 2)nullAlternativeAmount of time units for the entitled allowance. Null means unlimited allowance
Format: double
hourly_accrual_based_onJSONOptionalHours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types.
hourly_accrual_based_on (anyOf 1)stringAlternativeHours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types.
Known values: HOURS_WORKED_ONLY, ALL_PAID_HOURS
hourly_accrual_based_on (anyOf 2)nullAlternative
hourly_accrual_modeJSONOptionalHow the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types.
hourly_accrual_mode (anyOf 1)stringAlternativeHow the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types.
Known values: BY_HOURS, BY_PERCENTAGE
hourly_accrual_mode (anyOf 2)nullAlternative
hourly_entitlement_amountJSONOptional
hourly_entitlement_amount (anyOf 1)JSONAlternative
hourly_entitlement_amount (anyOf 1) (anyOf 1)numberAlternativeHours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types.
Format: double
hourly_entitlement_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
hourly_entitlement_amount (anyOf 2)nullAlternativeHours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types.
Format: double
idstringRequired within parentPolicy allowance UID
Format: uuid
is_bank_holidays_enabledbooleanRequired within parentIndicates if bank holidays are enabled used considered non-working days when calculating leave usage for this allowance
is_unlimited_allowancebooleanRequired within parentIndicates if the allowance is unlimited. Unlimited means that the worker can request any amount of time off without any limit
max_accrual_per_tracking_periodJSONOptional
max_accrual_per_tracking_period (anyOf 1)JSONAlternative
max_accrual_per_tracking_period (anyOf 1) (anyOf 1)numberAlternativeMaximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum.
Format: double
max_accrual_per_tracking_period (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
max_accrual_per_tracking_period (anyOf 2)nullAlternativeMaximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum.
Format: double
part_time_prorated_entitlement_unit_amountJSONOptional
part_time_prorated_entitlement_unit_amount (anyOf 1)JSONAlternative
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of time units for part-time prorated entitlement, if applicable
Format: double
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
part_time_prorated_entitlement_unit_amount (anyOf 2)nullAlternativeAmount of time units for part-time prorated entitlement, if applicable
Format: double
rollover_expiration_unitstringOptionalUnit for the rollover expiration period, if applicable
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
rollover_expiration_unit_amountJSONOptional
rollover_expiration_unit_amount (anyOf 1)numberAlternativeAmount of time units for the rollover expiration period, if applicable
Format: double
rollover_expiration_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
rollover_limit_unit_amountJSONOptional
rollover_limit_unit_amount (anyOf 1)numberAlternativeMaximum amount that can be rolled over, if applicable
Format: double
rollover_limit_unit_amount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
rollover_typestringRequired within parentDefines if the rollover carryover treatment for the policy allowance
Known values: NO_ROLLOVER, PAY_OUT, CARRY_OVER, CARRY_OVER_PAY_OUT
should_zero_out_negative_balances_on_rolloverbooleanRequired within parentIndicates if negative balances should be zeroed out on rollover
typestringRequired within parentType of policy allowance. Either a base allowance or an additional allowance
Known values: BASE_ALLOWANCE, ADDITIONAL_ALLOWANCE

Referenced models: Get Policies for Organization — 200 response body — data item policy allowances item accrual type, Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type

Get Policies for Organization — 200 response body — data item policy allowances item accrual type

FieldTypePresenceDescription and constraints
$stringRootDetermines how and when profiles earn this allowance: LUMPSUM (accrued all at once at the start of the tracking period), TIMEFRAME (accrued periodically, e.g. monthly), EVENT (accrued based on a life event, e.g. child birth), TIME_OFF_IN_LIEU (accrued from extra hours worked), HOURLY (accrued based on hours worked), or NO_AUTO_ACCRUAL (balance managed only via manual adjustments)
Known values: LUMPSUM, TIMEFRAME, EVENT, TIME_OFF_IN_LIEU, HOURLY, NO_AUTO_ACCRUAL

Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type

FieldTypePresenceDescription and constraints
$stringRootDefines if the balance tracking is flexible or inflexible. INFLEXIBLE means the worker cannot go below zero. The FLEXIBLE_* values allow the worker to request more time off than their allowance and go negative, either without limit (FLEXIBLE_NO_LIMIT), up to a custom amount (FLEXIBLE_CUSTOM_AMOUNT), or up to the yearly allowance (FLEXIBLE_UP_TO_YEARLY_ALLOWANCE)
Known values: INFLEXIBLE, FLEXIBLE_NO_LIMIT, FLEXIBLE_CUSTOM_AMOUNT, FLEXIBLE_UP_TO_YEARLY_ALLOWANCE

Get Policies for Organization — 200 response body — data item policy type

FieldTypePresenceDescription and constraints
$objectRootDetails of the policy type associated with this policy
idstringRequired within parentPolicy type UID
Format: uuid
namestringRequired within parentPolicy type name

Get Policies for Organization — 200 response body — data item time off types item

FieldTypePresenceDescription and constraints
$objectRootDetails of the time-off type associated with this policy. Time-off types are subcategories for a policy and represent different reasons for requesting a leave
descriptionstringOptionalTime-off type description
idstringRequired within parentTime-off type UID
Format: uuid
namestringRequired within parentTime-off type name

Get Profile Entitlements — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
entitlementsarrayRequired within parent
entitlements[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item
hris_profile_idstringRequired within parentHRIS profile ID

Referenced models: Get Profile Entitlements — 200 response body — entitlements item

Get Profile Entitlements — 200 response body — entitlements item

FieldTypePresenceDescription and constraints
$objectRoot
accrual_amountstringOptionalAccrual amount
accrual_unitstringOptionalAccrual unit
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
accruedJSONOptional
accrued (anyOf 1)stringAlternativeAccrued time off
accrued (anyOf 2)nullAlternativeAccrued time off
allowanceJSONOptional
allowance (anyOf 1)stringAlternativeTime off allowance
allowance (anyOf 2)nullAlternativeTime off allowance
approvedstringOptionalApproved time off
availableJSONRequired within parent
available (anyOf 1)stringAlternativeAvailable time off. Will be null if is_allowance_unlimited is true
available (anyOf 2)nullAlternativeAvailable time off. Will be null if is_allowance_unlimited is true
balance_adjustedJSONOptional
balance_adjusted (anyOf 1)stringAlternativeBalance adjusted
balance_adjusted (anyOf 2)nullAlternativeBalance adjusted
eventsJSONOptional
events (anyOf 1)arrayAlternative
events (anyOf 1)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item events null item
events (anyOf 2)nullAlternative
events (anyOf 2)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item events null item
expiredstringOptionalExpired time off
future_eventsJSONOptional
future_events (anyOf 1)arrayAlternative
future_events (anyOf 1)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item events null item
future_events (anyOf 2)nullAlternative
future_events (anyOf 2)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item events null item
idstringOptionalEntitlement ID
is_allowance_unlimitedbooleanRequired within parentTrue when the allowance is unlimited
past_tracking_periodsarrayOptional
past_tracking_periods[]stringEach item
policyModelOptionalExpand Get Profile Entitlements — 200 response body — entitlements item policy
requestedstringOptionalRequested time off
rolloversJSONOptional
rollovers (anyOf 1)arrayAlternative
rollovers (anyOf 1)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item rollovers null item
rollovers (anyOf 2)nullAlternative
rollovers (anyOf 2)[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item rollovers null item
time_off_event_idstringOptionalTime off event ID
total_entitlementsstringRequired within parentTotal entitlements
tracking_periodstringRequired within parentTracking period
tracking_period_end_dateJSONRequired within parent
tracking_period_end_date (anyOf 1)stringAlternativeTracking period end date. Null when the entitlement never expires.
tracking_period_end_date (anyOf 2)nullAlternativeTracking period end date. Null when the entitlement never expires.
upcoming_accrualsstringOptionalUpcoming accruals
usedstringOptionalUsed time off

Referenced models: Get Profile Entitlements — 200 response body — entitlements item events null item, Get Profile Entitlements — 200 response body — entitlements item policy, Get Profile Entitlements — 200 response body — entitlements item rollovers null item

Get Profile Entitlements — 200 response body — entitlements item events null item

FieldTypePresenceDescription and constraints
$objectRoot
accrual_datestringOptionalAccrual date
Format: date-time
amountstringRequired within parentEvent amount
created_atstringRequired within parentEvent creation date
Format: date-time
descriptionstringOptionalEvent description
event_datestringOptionalEvent date
Format: date-time
expiration_datestringOptionalExpiration date
Format: date-time
idstringRequired within parentEvent ID
Format: uuid
policy_idstringRequired within parentPolicy ID
Format: uuid
profile_idstringRequired within parentProfile ID
Format: uuid
rollover_tracking_periodstringOptionalRollover tracking period
Format: date-time
time_off_idstringOptionalTime off ID
Format: uuid
tracking_periodstringRequired within parentTracking period
Format: date-time
typestringRequired within parentEvent type
Known values: ACCRUAL, ACCRUAL_DEDUCTION, ACCRUAL_PRORATE, ACCRUAL_TERMINATION, MANUAL_ADJUSTMENT, NO_ROLLOVER, ROLLOVER_ADJUSTMENT, ROLLOVER_CARRY_OVER, ROLLOVER_EXPIRATION, ROLLOVER_PAYOUT, ROLLOVER_PROJECTED, TIME_OFF
updated_atstringRequired within parentEvent update date
Format: date-time

Get Profile Entitlements — 200 response body — entitlements item policy

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentPolicy creation date
Format: date-time
descriptionstringOptionalPolicy description
idstringRequired within parentPolicy ID
Format: uuid
leave_typestringOptionalLeave type
Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE
namestringRequired within parentPolicy name
policy_typeModelOptionalExpand Get Profile Entitlements — 200 response body — entitlements item policy policy type
policy_type_idstringOptionalPolicy type ID
Format: uuid
time_off_typesarrayOptional
time_off_types[]ModelEach itemExpand Get Profile Entitlements — 200 response body — entitlements item policy time off types item
tracking_cadencestringOptionalTracking cadence
Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED
tracking_start_datestringOptionalTracking start date
Format: date
tracking_unitstringOptionalTracking unit
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
tracking_unit_amountstringOptionalTracking unit amount
updated_atstringRequired within parentPolicy update date
Format: date-time

Referenced models: Get Profile Entitlements — 200 response body — entitlements item policy policy type, Get Profile Entitlements — 200 response body — entitlements item policy time off types item

Get Profile Entitlements — 200 response body — entitlements item policy policy type

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentPolicy type ID
Format: uuid
namestringRequired within parentPolicy type name

Get Profile Entitlements — 200 response body — entitlements item policy time off types item

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentTime off type ID
Format: uuid
namestringRequired within parentTime off type name

Get Profile Entitlements — 200 response body — entitlements item rollovers null item

FieldTypePresenceDescription and constraints
$objectRoot
amountModelRequired within parentExpand Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount
expiration_datestringOptionalRollover expiration date
Format: date-time
rollover_tracking_periodstringRequired within parentRollover tracking period
Format: date-time

Referenced models: Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount

Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount

FieldTypePresenceDescription and constraints
$JSONRoot
$ (anyOf 1)stringAlternative
$ (anyOf 2)stringAlternative

Get Profiles Assigned to Policy — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
dataarrayRequired within parentProfiles currently assigned to the policy
data[]ModelEach itemExpand Get Profiles Assigned to Policy — 200 response body — data item
has_next_pagebooleanRequired within parentIndicates if there are more results available beyond the current page
nextJSONOptional
next (anyOf 1)stringAlternativeOpaque cursor to fetch the next page of results. Null when there are no more results
next (anyOf 2)nullAlternativeOpaque cursor to fetch the next page of results. Null when there are no more results

Referenced models: Get Profiles Assigned to Policy — 200 response body — data item

Get Profiles Assigned to Policy — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRoot
countryJSONRequired within parent
country (anyOf 1)stringAlternativeISO 3166-1 alpha-2 country code of the assigned worker's employment. Null if not set
country (anyOf 2)nullAlternativeISO 3166-1 alpha-2 country code of the assigned worker's employment. Null if not set
emailstringRequired within parentPersonal email address of the assigned worker
Format: email
hris_profile_idJSONRequired within parent
hris_profile_id (anyOf 1)stringAlternativeHRIS profile UID of the assigned worker. Null if the assigned profile has no linked HRIS profile
Format: uuid
hris_profile_id (anyOf 2)nullAlternativeHRIS profile UID of the assigned worker. Null if the assigned profile has no linked HRIS profile
Format: uuid
namestringRequired within parentFull name of the assigned worker
stateJSONOptional
state (anyOf 1)stringAlternativeState or region code of the assigned worker's employment, if applicable
state (anyOf 2)nullAlternativeState or region code of the assigned worker's employment, if applicable
work_emailJSONOptional
work_email (anyOf 1)stringAlternativeWork email address of the assigned worker, if set
Format: email
work_email (anyOf 2)nullAlternativeWork email address of the assigned worker, if set
Format: email
worker_typestringRequired within parentType of worker relationship the assigned profile has with the organization
Known values: milestones_contractor, payg_contractor, time_based_contractor, eor, direct_employee, hris_direct_employee, peo, hris_placeholder, hris_direct_contractor

Get Time Off Events for Profile — 200 response body

FieldTypePresenceDescription and constraints
$objectRootList of time off events for the profile
dataarrayRequired within parentList of time off events for the profile
data[]ModelEach itemExpand Get Time Off Events for Profile — 200 response body — data item

Referenced models: Get Time Off Events for Profile — 200 response body — data item

Get Time Off Events for Profile — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRootTime off event object
created_atstringRequired within parentTime off creation date
Format: date-time
event_detailsModelRequired within parentExpand Get Time Off Events for Profile — 200 response body — data item event details
Details of the time off event
hris_profile_idstringRequired within parentWorker hris profile id
Format: uuid
idstringRequired within parentTime off event id
Format: uuid
policy_idstringRequired within parentPolicy id
time_off_type_idstringRequired within parentTime off type id
typestringRequired within parentThe type of event
updated_atstringRequired within parentTime off update date
Format: date-time

Referenced models: Get Time Off Events for Profile — 200 response body — data item event details

Get Time Off Events for Profile — 200 response body — data item event details

FieldTypePresenceDescription and constraints
$objectRootDetails of the time off event
adoption_datestringOptionalEnd date of the time off
Format: date
birth_datestringOptionalStart date of the time off
Format: date
estimated_adoption_datestringOptionalThe estimated date of the child adoption
Format: date
estimated_birth_datestringOptionalThe estimated date of the child birth
Format: date
had_multiple_childrenbooleanOptionalWas it the birth of multiple children?
was_premature_birthbooleanOptionalWas the child born prematurely?

Get Work Schedule and Holidays — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
dataarrayOptionalList of holiday and work schedule information grouped by HRIS profile, including holidays within the date range, work schedule details, and daily work status
data[]ModelEach itemExpand Get Work Schedule and Holidays — 200 response body — data item

Referenced models: Get Work Schedule and Holidays — 200 response body — data item

Get Work Schedule and Holidays — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRoot
holidaysarrayRequired within parentList of holidays within the date range
holidays[]ModelEach itemExpand Get Work Schedule and Holidays — 200 response body — data item holidays item
time_off_dailiesarrayRequired within parentList of days with holiday or work status
time_off_dailies[]ModelEach itemExpand Get Work Schedule and Holidays — 200 response body — data item time off dailies item
work_scheduleModelRequired within parentExpand Get Work Schedule and Holidays — 200 response body — data item work schedule
Detail of working hours by week day for an HRIS profile

Referenced models: Get Work Schedule and Holidays — 200 response body — data item holidays item, Get Work Schedule and Holidays — 200 response body — data item time off dailies item, Get Work Schedule and Holidays — 200 response body — data item work schedule

Get Work Schedule and Holidays — 200 response body — data item holidays item

FieldTypePresenceDescription and constraints
$objectRoot
countrystringOptionalThe ISO 3166-1 alpha-2 country code.
Maximum length: 2
Minimum length: 2
Pattern: ^[A-Z]{2}$
created_by_profile_idJSONOptional
created_by_profile_id (anyOf 1)JSONAlternative
created_by_profile_id (anyOf 1) (anyOf 1)numberAlternativeHRIS profile id of the creator of the holiday
Format: double
created_by_profile_id (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
created_by_profile_id (anyOf 2)nullAlternativeHRIS profile id of the creator of the holiday
Format: double
datestringRequired within parentDate of the holiday
Format: date-time
descriptionJSONRequired within parent
description (anyOf 1)stringAlternativeDescription of the holiday
description (anyOf 2)nullAlternativeDescription of the holiday
formatted_datestringRequired within parentFormatted 'YYYY-MM-DD' date of the holiday
Format: date
is_every_yearbooleanRequired within parentSets if the holiday is a recurring event
is_mandatorybooleanRequired within parentDescribes if the holiday is mandatory
namestringRequired within parentName of the holiday
name_variationsarrayOptionalAlternative names or labels used to refer to this holiday
name_variations[]stringEach item
parsed_datestringOptionalParsed date time of the holiday
Format: date-time
sourceJSONRequired within parentSource of creation of the holiday
source (anyOf 1)stringAlternativeSource of creation of the holiday
Known values: EXTERNAL, DEEL, ORGANIZATION_CUSTOM, ORGANIZATION_OVERRIDE, ORGANIZATION_CONVERT
source (anyOf 2)nullAlternative
statesarrayOptionalList of states where the holiday is celebrated, if empty it is a country holiday
states[]stringEach item
typestringRequired within parentType of the holiday
Known values: MANDATORY, OPTIONAL, HIDDEN, HOLIDAY, WORKING_DAY

Get Work Schedule and Holidays — 200 response body — data item time off dailies item

FieldTypePresenceDescription and constraints
$objectRoot
datestringRequired within parentDate of the daily
Format: date
time_off_daily_typestringRequired within parentType of work status or holiday
Known values: HOLIDAY, WORKING_DAY, NON_WORKING_DAY

Get Work Schedule and Holidays — 200 response body — data item work schedule

FieldTypePresenceDescription and constraints
$objectRootDetail of working hours by week day for an HRIS profile
hours_per_dayJSONOptional
hours_per_day (anyOf 1)numberAlternativeWorking hours per day
Format: double
Maximum: 24
Minimum: 0
hours_per_day (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
hris_profile_idstringOptionalHRIS profile id
Format: uuid
work_weekModelOptionalExpand Get Work Schedule and Holidays — 200 response body — data item work schedule work week
The work week schedule for the HRIS profile

Referenced models: Get Work Schedule and Holidays — 200 response body — data item work schedule work week

Get Work Schedule and Holidays — 200 response body — data item work schedule work week

FieldTypePresenceDescription and constraints
$objectRootThe work week schedule for the HRIS profile
fridayJSONRequired within parent
friday (anyOf 1)numberAlternativeWorking hours on friday
Format: double
Maximum: 24
Minimum: 0
friday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
mondayJSONRequired within parent
monday (anyOf 1)numberAlternativeWorking hours on monday
Format: double
Maximum: 24
Minimum: 0
monday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
saturdayJSONRequired within parent
saturday (anyOf 1)numberAlternativeWorking hours on saturday
Format: double
Maximum: 24
Minimum: 0
saturday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
sundayJSONRequired within parent
sunday (anyOf 1)numberAlternativeWorking hours on sunday
Format: double
Maximum: 24
Minimum: 0
sunday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
thursdayJSONRequired within parent
thursday (anyOf 1)numberAlternativeWorking hours on thursday
Format: double
Maximum: 24
Minimum: 0
thursday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
tuesdayJSONRequired within parent
tuesday (anyOf 1)numberAlternativeWorking hours on tuesday
Format: double
Maximum: 24
Minimum: 0
tuesday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
wednesdayJSONRequired within parent
wednesday (anyOf 1)numberAlternativeWorking hours on wednesday
Format: double
Maximum: 24
Minimum: 0
wednesday (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$

Get time-off attachment download URL — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
dataModelRequired within parentExpand Get time-off attachment download URL — 200 response body — data

Referenced models: Get time-off attachment download URL — 200 response body — data

Get time-off attachment download URL — 200 response body — data

FieldTypePresenceDescription and constraints
$objectRoot
urlstringRequired within parentPresigned URL to download the attachment directly from object storage. Valid for a limited time.

List policies — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
policiesarrayOptional
policies[]ModelEach itemExpand List policies — 200 response body — policies item

Referenced models: List policies — 200 response body — policies item

List policies — 200 response body — policies item

FieldTypePresenceDescription and constraints
$objectRootTime off policy
allow_to_edit_past_time_offsbooleanRequired within parentWhether editing past time offs is allowed
auto_approval_inactivity_time_unitJSONRequired within parentUnit for auto-approval inactivity time
auto_approval_inactivity_time_unit (anyOf 1)stringAlternativeUnit for auto-approval inactivity time
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
auto_approval_inactivity_time_unit (anyOf 2)nullAlternative
auto_approval_inactivity_time_unit_amountJSONRequired within parent
auto_approval_inactivity_time_unit_amount (anyOf 1)JSONAlternative
auto_approval_inactivity_time_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of auto-approval inactivity time units
Format: double
auto_approval_inactivity_time_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
auto_approval_inactivity_time_unit_amount (anyOf 2)nullAlternativeAmount of auto-approval inactivity time units
Format: double
created_atstringRequired within parentDate and time when the policy was created
Format: date-time
custom_fieldsarrayRequired within parentThe custom fields the policy declares. Empty when the policy collects none.
custom_fields[]ModelEach itemExpand Validate time-off request — 200 response body — data custom fields item
descriptionJSONOptional
description (anyOf 1)stringAlternativeDescription of the policy
description (anyOf 2)nullAlternativeDescription of the policy
has_custom_fieldsbooleanRequired within parentWhether the policy collects any custom field answers on its requests.
idstringRequired within parentUnique identifier of the policy
Format: uuid
is_attachment_requiredstringRequired within parentWhether an attachment is required for time off requests
Known values: NOT_REQUIRED, REQUIRED, CONDITIONALLY_REQUIRED
is_description_requiredbooleanRequired within parentWhether a description is required for time off requests
is_requiring_custom_fieldsbooleanRequired within parentWhether at least one of the policy's custom fields can be mandatory (ALWAYS_REQUIRED or REQUIRED_CONDITIONALLY). False when every custom field is OPTIONAL, or when the policy has none.
leave_typestringRequired within parentType of leave for this policy
Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE
namestringRequired within parentName of the policy
notice_period_unitJSONRequired within parentUnit for notice period
notice_period_unit (anyOf 1)stringAlternativeUnit for notice period
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
notice_period_unit (anyOf 2)nullAlternative
notice_period_unit_amountJSONRequired within parent
notice_period_unit_amount (anyOf 1)JSONAlternative
notice_period_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of notice period units
Format: double
notice_period_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
notice_period_unit_amount (anyOf 2)nullAlternativeAmount of notice period units
Format: double
overlap_request_typestringRequired within parentType of overlapping requests allowed
Known values: ALLOWED, NOT_ALLOWED
payment_typestringRequired within parentPayment type for the time off policy
Known values: PAID, UNPAID
policy_allowance_prorationModelRequired within parentExpand List policies — 200 response body — policies item policy allowance proration
Proration configuration for policy allowances
policy_allowancesarrayRequired within parentAllowances associated with this policy
policy_allowances[]ModelEach itemExpand List policies — 200 response body — policies item policy allowances item
policy_typeModelRequired within parentExpand List policies — 200 response body — policies item policy type
Type of this policy
policy_type_idstringOptionalUnique identifier of the policy type
Format: uuid
request_start_typeJSONRequired within parentType of request start configuration
request_start_type (anyOf 1)stringAlternativeType of request start configuration
Known values: IMMEDIATELY, FIXED_PERIOD
request_start_type (anyOf 2)nullAlternative
request_start_unitJSONRequired within parentUnit used for request start configuration
request_start_unit (anyOf 1)stringAlternativeUnit used for request start configuration
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
request_start_unit (anyOf 2)nullAlternative
request_start_unit_amountJSONRequired within parent
request_start_unit_amount (anyOf 1)JSONAlternative
request_start_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of request start units
Format: double
request_start_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
request_start_unit_amount (anyOf 2)nullAlternativeAmount of request start units
Format: double
retrospective_request_typestringRequired within parentType of retrospective requests allowed
Known values: ALLOWED, NOT_ALLOWED
time_off_request_typestringRequired within parentType of time off requests allowed
Known values: HALF_DAY, HOURLY, FULL_DAY, PERCENTAGE, PARTIAL_HOURS
time_off_typesarrayOptionalTime off types associated with this policy
time_off_types[]ModelEach itemExpand List policies — 200 response body — policies item time off types item
tracking_cadencestringOptionalCadence for tracking policy periods
Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED
tracking_start_dateJSONOptional
tracking_start_date (anyOf 1)stringAlternativeStart date for tracking policy periods
Format: date
tracking_start_date (anyOf 2)nullAlternativeStart date for tracking policy periods
Format: date
tracking_unitJSONRequired within parentUnit used for tracking policy periods
tracking_unit (anyOf 1)stringAlternativeUnit used for tracking policy periods
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
tracking_unit (anyOf 2)nullAlternative
tracking_unit_amountJSONRequired within parent
tracking_unit_amount (anyOf 1)JSONAlternative
tracking_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of tracking units
Format: double
tracking_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
tracking_unit_amount (anyOf 2)nullAlternativeAmount of tracking units
Format: double
updated_atstringRequired within parentDate and time when the policy was last updated
Format: date-time

Referenced models: Validate time-off request — 200 response body — data custom fields item, List policies — 200 response body — policies item policy allowance proration, List policies — 200 response body — policies item policy allowances item, List policies — 200 response body — policies item policy type, List policies — 200 response body — policies item time off types item

List policies — 200 response body — policies item policy allowance proration

FieldTypePresenceDescription and constraints
$objectRootProration configuration for policy allowances
part_time_worker_treatment_specific_amountJSONRequired within parent
part_time_worker_treatment_specific_amount (anyOf 1)JSONAlternative
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 1)numberAlternativeSpecific amount for part-time worker treatment when the type is CUSTOM_ENTITLEMENT
Format: double
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
part_time_worker_treatment_specific_amount (anyOf 2)nullAlternativeSpecific amount for part-time worker treatment when the type is CUSTOM_ENTITLEMENT
Format: double
part_time_worker_treatment_typestringRequired within parentType of treatment for part-time workers
Known values: SAME_AS_FTE, PERCENTAGE_OF_FTE, BASED_ON_WORK_HOURS, BASED_ON_WORK_DAYS, CUSTOM_ENTITLEMENT
prorates_on_hirebooleanRequired within parentWhether proration is applied on hire
prorates_on_terminationbooleanRequired within parentWhether proration is applied on termination

List policies — 200 response body — policies item policy allowances item

FieldTypePresenceDescription and constraints
$objectRoot
accrual_application_typeJSONRequired within parentType of accrual application. Enum to indicate when accruals will be applied within the accrual cycles.
accrual_application_type (anyOf 1)stringAlternativeType of accrual application. Enum to indicate when accruals will be applied within the accrual cycles.
Known values: BEGIN_OF_CYCLE, END_OF_CYCLE, BEGIN_OF_NEXT_CYCLE
accrual_application_type (anyOf 2)nullAlternative
accrual_typestringRequired within parentType of accrual for the allowance. Determines how/when profiles should earn their entitlement (aka: allowance).
Known values: TIMEFRAME, EVENT, TIME_OFF_IN_LIEU, HOURLY, LUMPSUM, NO_AUTO_ACCRUAL
accrual_unitJSONRequired within parentUnit used for accrual
accrual_unit (anyOf 1)stringAlternativeUnit used for accrual
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
accrual_unit (anyOf 2)nullAlternative
accrual_unit_amountJSONRequired within parent
accrual_unit_amount (anyOf 1)JSONAlternative
accrual_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of accrual units
Format: double
accrual_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
accrual_unit_amount (anyOf 2)nullAlternativeAmount of accrual units
Format: double
balance_tracking_flexible_custom_request_amountJSONRequired within parent
balance_tracking_flexible_custom_request_amount (anyOf 1)JSONAlternative
balance_tracking_flexible_custom_request_amount (anyOf 1) (anyOf 1)numberAlternativeAmount for flexible custom request balance tracking. The flexible custom extra amount request of the policy allowance.
Format: double
balance_tracking_flexible_custom_request_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_tracking_flexible_custom_request_amount (anyOf 2)nullAlternativeAmount for flexible custom request balance tracking. The flexible custom extra amount request of the policy allowance.
Format: double
balance_tracking_typeJSONRequired within parentType of balance tracking. Determines how workers can request their time off.
balance_tracking_type (anyOf 1)stringAlternativeType of balance tracking. Determines how workers can request their time off.
Known values: INFLEXIBLE, FLEXIBLE_NO_LIMIT, FLEXIBLE_CUSTOM_AMOUNT, FLEXIBLE_UP_TO_YEARLY_ALLOWANCE
balance_tracking_type (anyOf 2)nullAlternative
enable_bank_holidaysbooleanRequired within parentWhether bank holidays are enabled for this allowance
entitlement_expiration_unitJSONRequired within parentUnit used for entitlement expiration
entitlement_expiration_unit (anyOf 1)stringAlternativeUnit used for entitlement expiration
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_expiration_unit (anyOf 2)nullAlternative
entitlement_expiration_unit_amountJSONRequired within parent
entitlement_expiration_unit_amount (anyOf 1)JSONAlternative
entitlement_expiration_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of entitlement expiration units
Format: double
entitlement_expiration_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_expiration_unit_amount (anyOf 2)nullAlternativeAmount of entitlement expiration units
Format: double
entitlement_start_dateJSONRequired within parent
entitlement_start_date (anyOf 1)stringAlternativeStart date for entitlement
Format: date
entitlement_start_date (anyOf 2)nullAlternativeStart date for entitlement
Format: date
entitlement_start_typestringRequired within parentType of entitlement start
Known values: IMMEDIATELY, FIXED_PERIOD, FIXED_DAY
entitlement_start_unitJSONRequired within parentUnit used for entitlement start
entitlement_start_unit (anyOf 1)stringAlternativeUnit used for entitlement start
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_start_unit (anyOf 2)nullAlternative
entitlement_start_unit_amountJSONRequired within parent
entitlement_start_unit_amount (anyOf 1)JSONAlternative
entitlement_start_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of entitlement start units
Format: double
entitlement_start_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_start_unit_amount (anyOf 2)nullAlternativeAmount of entitlement start units
Format: double
entitlement_unitJSONRequired within parentUnit used for entitlement
entitlement_unit (anyOf 1)stringAlternativeUnit used for entitlement
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
entitlement_unit (anyOf 2)nullAlternative
entitlement_unit_amountJSONRequired within parent
entitlement_unit_amount (anyOf 1)JSONAlternative
entitlement_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of entitlement units
Format: double
entitlement_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
entitlement_unit_amount (anyOf 2)nullAlternativeAmount of entitlement units
Format: double
hourly_accrual_based_onJSONOptionalHours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types.
hourly_accrual_based_on (anyOf 1)stringAlternativeHours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types.
Known values: HOURS_WORKED_ONLY, ALL_PAID_HOURS
hourly_accrual_based_on (anyOf 2)nullAlternative
hourly_accrual_modeJSONOptionalHow the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types.
hourly_accrual_mode (anyOf 1)stringAlternativeHow the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types.
Known values: BY_HOURS, BY_PERCENTAGE
hourly_accrual_mode (anyOf 2)nullAlternative
hourly_entitlement_amountJSONOptional
hourly_entitlement_amount (anyOf 1)JSONAlternative
hourly_entitlement_amount (anyOf 1) (anyOf 1)numberAlternativeHours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types.
Format: double
hourly_entitlement_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
hourly_entitlement_amount (anyOf 2)nullAlternativeHours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types.
Format: double
idstringRequired within parentUnique identifier of the policy allowance
Format: uuid
max_accrual_per_tracking_periodJSONOptional
max_accrual_per_tracking_period (anyOf 1)JSONAlternative
max_accrual_per_tracking_period (anyOf 1) (anyOf 1)numberAlternativeMaximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum.
Format: double
max_accrual_per_tracking_period (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
max_accrual_per_tracking_period (anyOf 2)nullAlternativeMaximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum.
Format: double
part_time_prorated_entitlement_unit_amountJSONOptional
part_time_prorated_entitlement_unit_amount (anyOf 1)JSONAlternative
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 1)numberAlternativeThe total prorated policy allowance entitlement amount if the worker is part-time.
Format: double
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
part_time_prorated_entitlement_unit_amount (anyOf 2)nullAlternativeThe total prorated policy allowance entitlement amount if the worker is part-time.
Format: double
rollover_expiration_unitJSONRequired within parentUnit used for rollover expiration
rollover_expiration_unit (anyOf 1)stringAlternativeUnit used for rollover expiration
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
rollover_expiration_unit (anyOf 2)nullAlternative
rollover_expiration_unit_amountJSONRequired within parent
rollover_expiration_unit_amount (anyOf 1)JSONAlternative
rollover_expiration_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of rollover expiration units
Format: double
rollover_expiration_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
rollover_expiration_unit_amount (anyOf 2)nullAlternativeAmount of rollover expiration units
Format: double
rollover_limit_unit_amountJSONRequired within parent
rollover_limit_unit_amount (anyOf 1)JSONAlternative
rollover_limit_unit_amount (anyOf 1) (anyOf 1)numberAlternativeAmount of rollover limit units
Format: double
rollover_limit_unit_amount (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
rollover_limit_unit_amount (anyOf 2)nullAlternativeAmount of rollover limit units
Format: double
rollover_typeJSONRequired within parentType of rollover
rollover_type (anyOf 1)stringAlternativeType of rollover
Known values: NO_ROLLOVER, PAY_OUT, CARRY_OVER, CARRY_OVER_PAY_OUT
rollover_type (anyOf 2)nullAlternative
typestringRequired within parentType of the policy allowance
Known values: BASE_ALLOWANCE, ADDITIONAL_ALLOWANCE
zero_out_negative_balances_on_rolloverbooleanRequired within parentWhether negative balances are zeroed out on rollover

List policies — 200 response body — policies item policy type

FieldTypePresenceDescription and constraints
$objectRootType of this policy
idstringRequired within parentUnique identifier of the policy type
Format: uuid
namestringRequired within parentName of the policy type

List policies — 200 response body — policies item time off types item

FieldTypePresenceDescription and constraints
$objectRoot
descriptionJSONOptional
description (anyOf 1)stringAlternativeDescription of the time off type
description (anyOf 2)nullAlternativeDescription of the time off type
idstringOptionalUnique identifier of the time off type
Format: uuid
namestringOptionalName of the time off type

List policies — request body — query policy type name

FieldTypePresenceDescription and constraints
$stringRootOne of: Adoption leave, Advanced vacation, Bereaved partner's paternity leave, Bereavement leave, Blood donation leave, Breastfeeding leave, Carer's leave, Childbirth leave, Childcare leave, Civic/public duty leave, Compensatory leave, Disability leave, Doctor's appointment leave, Family & domestic violence leave, Family responsibility leave, Floating Holiday Allowance, Hajj leave, Hospitalization leave, Long Service Leave, Marriage/wedding leave, Maternity leave, Menstrual leave, Military leave, Moving leave, Neonatal care leave, Other leave, Paid leave, Parental bereavement leave, Parental leave, Paternity leave, Personal leave, Pregnancy leave, Regional holiday, RTT, Shared parental leave, Sick leave, Strike, Study leave, Supplementary Leave, Unpaid leave, Vacation, Vacation - public holidays replacement, Volunteer leave, Work accident leave, Work away from office, Work Location

List time-off requests for Organization — 200 response body

FieldTypePresenceDescription and constraints
$objectRootTime offs associated to the query
countJSONOptional
count (anyOf 1)integerAlternativeTotal count of items
count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
dataarrayRequired within parent
data[]ModelEach itemExpand List time-off requests for Organization — 200 response body — data item
has_next_pagebooleanRequired within parentHas next page
nextstringOptional
page_sizeJSONRequired within parent
page_size (anyOf 1)integerAlternativePage size
Maximum: 200
Minimum: 5
page_size (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$

Referenced models: List time-off requests for Organization — 200 response body — data item

List time-off requests for Organization — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRoot
amountstringRequired within parentAmount of time off
approved_atJSONOptional
approved_at (anyOf 1)stringAlternativeTime off approval date
Format: date-time
approved_at (anyOf 2)nullAlternativeTime off approval date
Format: date-time
canceled_atJSONOptional
canceled_at (anyOf 1)stringAlternativeTime off cancellation date
Format: date-time
canceled_at (anyOf 2)nullAlternativeTime off cancellation date
Format: date-time
contract_oidstringOptionalContract id
created_atstringRequired within parentTime off creation date
Format: date-time
custom_field_valuesarrayOptionalAnswers to the custom fields the request policy declares. Omitted when the policy declares none.
custom_field_values[]ModelEach itemExpand Update time-off request — 200 response body — time off custom field values item
deduction_amountJSONOptional
deduction_amount (anyOf 1)stringAlternativeDeduction amount
deduction_amount (anyOf 2)nullAlternativeDeduction amount
deleted_atJSONOptional
deleted_at (anyOf 1)stringAlternativeTime off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested.
Format: date-time
deleted_at (anyOf 2)nullAlternativeTime off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested.
Format: date-time
descriptionJSONOptional
description (anyOf 1)stringAlternativeTime off description
description (anyOf 2)nullAlternativeTime off description
end_datestringRequired within parentEnd date of time off
Format: date
entitlement_unitstringRequired within parentThe unit in which the time off usage and entitlement are calculated.
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
half_end_datebooleanRequired within parentIs half end date
half_start_datebooleanRequired within parentIs half start date
idstringRequired within parentTime off id
Format: uuid
is_end_date_estimatedbooleanOptionalIs end date estimated
is_paidbooleanRequired within parentIs time off paid
other_type_descriptionJSONOptional
other_type_description (anyOf 1)stringAlternativeOther type description
other_type_description (anyOf 2)nullAlternativeOther type description
reasonstringOptionalReason for time off
recipient_profileModelOptionalExpand List time-off requests — 200 response body — data item recipient profile
requested_atstringRequired within parentTime off request date
Format: date
requester_profileModelOptionalExpand List time-off requests — 200 response body — data item requester profile
start_datestringRequired within parentStart date of time off
Format: date
statusstringOptionalStatus of time off
Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED, DELETED
time_off_dailiesarrayOptional
time_off_dailies[]ModelEach itemExpand List time-off requests — 200 response body — data item time off dailies item
time_off_originstringOptionalTime off origin. AUTO_BANK_HOLIDAY is a bank holiday request that the system books for the worker.
Known values: ADMIN, BULK_IMPORT, DEEL_APP, ENGAGE, INTEGRATION, PUBLIC_API, SLACK, TEAMS, AUTO_BANK_HOLIDAY, UNKNOWN
time_off_percentageJSONOptional
time_off_percentage (anyOf 1)stringAlternativeTime off percentage
time_off_percentage (anyOf 2)nullAlternativeTime off percentage
time_off_typeModelOptionalExpand List time-off requests for Organization — 200 response body — data item time off type
time_off_type_idstringRequired within parentTime off type id
updated_atstringRequired within parentTime off update date
Format: date-time

Referenced models: Update time-off request — 200 response body — time off custom field values item, List time-off requests — 200 response body — data item recipient profile, List time-off requests — 200 response body — data item requester profile, List time-off requests — 200 response body — data item time off dailies item, List time-off requests for Organization — 200 response body — data item time off type

List time-off requests for Organization — 200 response body — data item time off type

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentTime off type id.
Format: uuid
namestringRequired within parentTime off type name. Basically the reason or category of time-off taken. For SICK leave, it can be doctor appointment, surgery etc.
policyModelOptionalExpand List time-off requests for Organization — 200 response body — data item time off type policy

Referenced models: List time-off requests for Organization — 200 response body — data item time off type policy

List time-off requests for Organization — 200 response body — data item time off type policy

FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentPolicy id
Format: uuid
namestringRequired within parentThe custom name given to policy during policy creation.
policy_typeModelRequired within parentExpand Update time-off request — 200 response body — time off time off type policy policy type

Referenced models: Update time-off request — 200 response body — time off time off type policy policy type

List time-off requests — 200 response body

FieldTypePresenceDescription and constraints
$objectRootTime offs associated to the query
countJSONOptional
count (anyOf 1)integerAlternativeTotal count of items
count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
dataarrayRequired within parent
data[]ModelEach itemExpand List time-off requests — 200 response body — data item
has_next_pagebooleanRequired within parentHas next page
nextstringOptional
page_sizeJSONRequired within parent
page_size (anyOf 1)integerAlternativePage size
Maximum: 200
Minimum: 5
page_size (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$

Referenced models: List time-off requests — 200 response body — data item

List time-off requests — 200 response body — data item

FieldTypePresenceDescription and constraints
$objectRoot
amountstringRequired within parentAmount of time off
approved_atJSONOptional
approved_at (anyOf 1)stringAlternativeTime off approval date
Format: date-time
approved_at (anyOf 2)nullAlternativeTime off approval date
Format: date-time
contract_oidstringOptionalContract id
created_atstringRequired within parentTime off creation date
Format: date-time
custom_field_valuesarrayOptionalAnswers to the custom fields the request policy declares. Omitted when the policy declares none.
custom_field_values[]ModelEach itemExpand Update time-off request — 200 response body — time off custom field values item
deduction_amountJSONOptional
deduction_amount (anyOf 1)stringAlternativeDeduction amount
deduction_amount (anyOf 2)nullAlternativeDeduction amount
descriptionJSONOptional
description (anyOf 1)stringAlternativeTime off description
description (anyOf 2)nullAlternativeTime off description
end_datestringRequired within parentEnd date of time off
Format: date
entitlement_unitstringRequired within parentThe unit in which the time off usage and entitlement are calculated.
Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
half_end_datebooleanRequired within parentIs half end date. Only used for backwards compatibility, please do not use.
half_start_datebooleanRequired within parentIs half start date. Only used for backwards compatibility, please do not use.
idstringRequired within parentTime off id
Format: uuid
is_end_date_estimatedbooleanOptionalIs end date estimated
is_paidbooleanRequired within parentIs time off paid
other_type_descriptionJSONOptional
other_type_description (anyOf 1)stringAlternativeOther type description
other_type_description (anyOf 2)nullAlternativeOther type description
reasonstringOptionalReason for time off
recipient_profileModelOptionalExpand List time-off requests — 200 response body — data item recipient profile
requested_atstringRequired within parentTime off request date
Format: date
requester_profileModelOptionalExpand List time-off requests — 200 response body — data item requester profile
start_datestringRequired within parentStart date of time off
Format: date
statusstringOptionalStatus of time off
Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED
time_off_dailiesarrayOptional
time_off_dailies[]ModelEach itemExpand List time-off requests — 200 response body — data item time off dailies item
time_off_percentageJSONOptional
time_off_percentage (anyOf 1)stringAlternativeTime off percentage
time_off_percentage (anyOf 2)nullAlternativeTime off percentage
time_off_type_idstringRequired within parentTime off type id
updated_atstringRequired within parentTime off update date
Format: date-time

Referenced models: Update time-off request — 200 response body — time off custom field values item, List time-off requests — 200 response body — data item recipient profile, List time-off requests — 200 response body — data item requester profile, List time-off requests — 200 response body — data item time off dailies item

List time-off requests — 200 response body — data item recipient profile

FieldTypePresenceDescription and constraints
$objectRoot
client_profile_idstringOptionalRecipient client profile id
Format: uuid
hris_profile_idstringOptionalRecipient hris profile id
Format: uuid
organization_idstringOptionalRecipient organization id
Format: uuid

List time-off requests — 200 response body — data item requester profile

FieldTypePresenceDescription and constraints
$objectRoot
client_profile_idstringOptionalRequest client profile id
Format: uuid
hris_profile_idstringOptionalRequest hris profile id
Format: uuid
organization_idstringOptionalRequest organization id
Format: uuid

List time-off requests — 200 response body — data item time off dailies item

FieldTypePresenceDescription and constraints
$objectRoot
amountstringRequired within parentTime off daily amount
created_atstringRequired within parentTime off daily creation date
Format: date-time
datestringRequired within parentTime off daily date
Format: date
descriptionJSONOptional
description (anyOf 1)stringAlternativeTime off daily description
description (anyOf 2)nullAlternativeTime off daily description
idstringRequired within parentTime off daily id
Format: uuid
time_off_idstringRequired within parentTime off id
Format: uuid
typestringRequired within parentTime off daily type
Known values: WORKING_DAY, NON_WORKING_DAY, HOLIDAY, FORFAIT_HOUR_DAY
updated_atstringRequired within parentTime off daily update date
Format: date-time

Process time-off requests from an external HRIS — 200 response body

FieldTypePresenceDescription and constraints
$objectRootList of time offs persisted at Deel
dataModelOptionalExpand Process time-off requests from an external HRIS — 200 response body — data

Referenced models: Process time-off requests from an external HRIS — 200 response body — data

Process time-off requests from an external HRIS — 200 response body — data

FieldTypePresenceDescription and constraints
$objectRoot
deletedJSONOptional
deleted (anyOf 1)numberAlternativeNumber of time off requests that were deleted
Format: double
deleted (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
insertedJSONOptional
inserted (anyOf 1)numberAlternativeNumber of time off requests that were inserted
Format: double
inserted (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updatedJSONOptional
updated (anyOf 1)numberAlternativeNumber of time off requests that were updated
Format: double
updated (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$

Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR

FieldTypePresenceDescription and constraints
$objectRoot
amountstringOptionalThe amount in time units for this time off. When no amount is informed, it will be calculated using work schedules and public holidays defined at Deel.
approved_atstringOptionalThe approval date of the time off. If no approval date is informed, the start date of this request will be used as the approval date. Note: use this field in order to support retrospective leaves so Deel can identify requests made after the payroll cycle.
Format: date
contract_oidstringRequired within parentThe contract id that has requested the time off.
Maximum length: 24
descriptionstring or nullOptionalThe description of the time off.
Maximum length: 500
end_datestringRequired within parentThe end date of the time off.
Format: date
entitlement_unitstringOptionalThe time unit for this time off. *Mandatory when amount parameter is informed*. If no amount and no entitlement_unit are informed, it will be calculated using Deel's internal country templates for compliant time off policies.
One of: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR
external_idstringRequired within parentExternal ID to link a Deel time off object with an external time off object. It will be used to determine which operation should be done: INSERT, UPDATE or DELETE.
Maximum length: 48
is_paidbooleanOptionalAllows the consumer to specify whether the time off is considered as paid (at statutory) or unpaid based on the configuration of the policy in the external HRIS.
policy_namestringOptionalThe policy name the time off is being requested for. If not informed, a default name will be generated using the policy type and contract's country (eg: Vacation - US).
Maximum length: 256
policy_typeJSONRequired within parentThe Deel policy type of the policy the time off is being requested for.
policy_type (oneOf 1)ModelAlternativeExpand Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR policy type string
policy_type (oneOf 2)nullAlternative
requested_atstringOptionalThe request date of the time off.
Format: date
start_datestringRequired within parentThe start date of the time off.
Format: date

Referenced models: Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR policy type string

Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR policy type string

FieldTypePresenceDescription and constraints
$stringRootThe Deel policy type of the policy the time off is being requested for.
One of: Adoption leave, Advanced vacation, Bereaved partner's paternity leave, Bereavement leave, Blood donation leave, Breastfeeding leave, Carer's leave, Childbirth leave, Childcare leave, Civic/public duty leave, Compensatory leave, Disability leave, Doctor's appointment leave, Family & domestic violence leave, Family responsibility leave, Floating Holiday Allowance, Hajj leave, Hospitalization leave, Long Service Leave, Marriage/wedding leave, Maternity leave, Menstrual leave, Military leave, Moving leave, Neonatal care leave, Other leave, Paid leave, Parental bereavement leave, Parental leave, Paternity leave, Personal leave, Pregnancy leave, Regional holiday, RTT, Shared parental leave, Sick leave, Strike, Study leave, Supplementary Leave, Unpaid leave, Vacation, Vacation - public holidays replacement, Volunteer leave, Work accident leave, Work away from office, Work Location

Process time-off requests from an external HRIS — request body — body data

FieldTypePresenceDescription and constraints
$objectRoot
time_offsarrayRequired within parent
time_offs[]ModelEach itemExpand Process time-off requests from an external HRIS — request body — body data time offs item

Referenced models: Process time-off requests from an external HRIS — request body — body data time offs item

Process time-off requests from an external HRIS — request body — body data time offs item

FieldTypePresenceDescription and constraints
$JSONRoot
$ (oneOf 1)ModelAlternativeExpand Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR
$ (oneOf 2)ModelAlternativeExpand Process time-off requests from an external HRIS — request body — body data time offs item contract oid, deleted, external id

Referenced models: Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR, Process time-off requests from an external HRIS — request body — body data time offs item contract oid, deleted, external id

Process time-off requests from an external HRIS — request body — body data time offs item contract oid, deleted, external id

FieldTypePresenceDescription and constraints
$objectRoot
contract_oidstringRequired within parentThe contract id that has requested the time off.
Maximum length: 24
deletedbooleanRequired within parentIndicates this time off request must be deleted
external_idstringRequired within parentExternal ID to link a Deel time off object with an external time off object. It will be used to determine which operation should be done: INSERT, UPDATE or DELETE.
Maximum length: 48

Retrieve policy validation templates — 200 response body

FieldTypePresenceDescription and constraints
$objectRoot
dataModelOptionalExpand Retrieve policy validation templates — 200 response body — data

Referenced models: Retrieve policy validation templates — 200 response body — data

Retrieve policy validation templates — 200 response body — data

FieldTypePresenceDescription and constraints
$objectRoot
policy_typesarrayOptionalList of unique policy types associated with the retrieved templates.
policy_types[]ModelEach itemExpand Retrieve policy validation templates — 200 response body — data policy types item
policy_validation_templatesarrayOptionalList of policy validation templates matching the criteria.
policy_validation_templates[]ModelEach itemExpand Retrieve policy validation templates — 200 response body — data policy validation templates item

Referenced models: Retrieve policy validation templates — 200 response body — data policy types item, Retrieve policy validation templates — 200 response body — data policy validation templates item

Retrieve policy validation templates — 200 response body — data policy types item

FieldTypePresenceDescription and constraints
$objectRoot
descriptionJSONOptional
description (anyOf 1)stringAlternativeDescription of the policy type.
description (anyOf 2)nullAlternativeDescription of the policy type.
idstringOptionalUnique identifier of the policy type.
Format: uuid
namestringOptionalName of the policy type.

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.